# Uses of Interface
org.codehaus.janino.Java.MemberTypeDeclaration

Packages that use Java.MemberTypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MemberTypeDeclaration in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.MemberTypeDeclaration
Modifier and Type
Class
Description
`static final class`
`Java.MemberAnnotationTypeDeclaration`
Representation of a member annotation type declaration, a.k.a.
`static class`
`Java.MemberClassDeclaration`
Representation of a "member class declaration", i.e.
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
`static class`
`Java.MemberInterfaceDeclaration`
Representation of a "member interface declaration", i.e.
Methods in org.codehaus.janino that return Java.MemberTypeDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
Java.AbstractTypeDeclaration.`getMemberTypeDeclaration(String name)`
`Java.MemberTypeDeclaration`
Java.TypeDeclaration.`getMemberTypeDeclaration(String name)`
Returns the member type with the given name.
Methods in org.codehaus.janino that return types with arguments of type Java.MemberTypeDeclaration
Modifier and Type
Method
Description
`Collection<Java.MemberTypeDeclaration>`
Java.AbstractTypeDeclaration.`getMemberTypeDeclarations()`
`Collection<Java.MemberTypeDeclaration>`
Java.TypeDeclaration.`getMemberTypeDeclarations()`
Methods in org.codehaus.janino with parameters of type Java.MemberTypeDeclaration
Modifier and Type
Method
Description
`void`
Java.AbstractTypeDeclaration.`addMemberTypeDeclaration(Java.MemberTypeDeclaration mcoid)`
Adds one `Java.MemberTypeDeclaration` to this type.

## Uses of Java.MemberTypeDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.MemberTypeDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration subject)`
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberClassDeclaration(Java.MemberClassDeclaration subject)`
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberEnumDeclaration(Java.MemberEnumDeclaration subject)`
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration subject)`
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberTypeDeclaration(Java.MemberTypeDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.MemberTypeDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberTypeDeclaration(Java.MemberTypeDeclaration subject)`